<?php

namespace Bnpparibas\Axepta\Plugin;

use Magento\Quote\Observer\SubmitObserver;
use Magento\Framework\Event\Observer as EventObserver;

class SubmitObserverPlugin
{

    public function beforeExecute(SubmitObserver $subject, EventObserver $observer)
    {
        $quote = $observer->getEvent()->getQuote();
        $order = $observer->getEvent()->getOrder();
        if ($quote->getPayment()->getMethod() === "axepta" || $quote->getPayment()->getMethod() === "axepta_recurring") {
            $order->setCanSendNewEmailFlag(false);
        }
    }
}
