# BNP Paribas - Module Axepta BNP Paribas pour Magento 2

Le développement de ce projet est dirigé par [We+](https://we-plus.fr/).


[[_TOC_]]


## À propos

Le module de paiement officiel Axepta BNP Paribas permet d'accepter facilement et rapidement vos paiements en ligne en toute sécurité.


## Stack technique

- __[PHP](https://windows.php.net/downloads/releases/archives/)__ : 🐘
- __[Magento](https://about.magento.com/Magento-Commerce.html)__ : CMS


## Documentation

* Documentation d'Axepta BNP Paribas et du guide d’installation du module pour Magento 2 : https://docs.axepta.bnpparibas/pages/viewpage.action?pageId=15073289

## Changelog

[CHANGELOG.md](/CHANGELOG.md)


## Licence

	BNP Paribas
	
	@author    We+ <modules@we-plus.fr>
	@copyright Since 1961 BNP Paribas
	@license   All Rights Reserved


## Informations supplémentaires

1. Backup your database.

2. Go to the root folder of your Magento 2 website.

3. Create following folders :
   * app/code/Bnpparibas
   * app/code/Bnpparibas/Axepta
4. Copy all content of the repository in the app/code/Bnpparibas/Axepta folder (skip the root folder if any).

5. Install the module :

        $ php bin/magento setup:upgrade
        $ php bin/magento cache:clean
        $ php bin/magento cache:flush
