<?php
/**
 * 1997-2019 Quadra Informatique
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0) that is available
 * through the world-wide-web at this URL: http://www.opensource.org/licenses/OSL-3.0
 * If you are unable to obtain it through the world-wide-web, please send an email
 * to modules@quadra-informatique.fr so we can send you a copy immediately.
 *
 * @author    Quadra Informatique <modules@quadra-informatique.fr>
 * @copyright 1997-2019 Quadra Informatique
 * @license   http://www.opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 *
 * @category    Bnp
 * @package     Bnpparibas_Axepta
 */
namespace Bnpparibas\Axepta\Model\MerchantAccount\Config\Source;

class CetelemCategories implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * Get available options
     *
     * @codeCoverageIgnore
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['value' => '320', 'label' => __('Household appliances')],
            ['value' => '322', 'label' => __('Refrigerator - freezer')],
            ['value' => '323', 'label' => __('Dishwasher')],
            ['value' => '324', 'label' => __('Washing machine')],
            ['value' => '325', 'label' => __('Group Cleaning')],
            ['value' => '326', 'label' => __('Refrigerator')],
            ['value' => '327', 'label' => __('Freezer')],
            ['value' => '328', 'label' => __('Cooker/Cooker hob')],
            ['value' => '329', 'label' => __('Dryer')],
            ['value' => '330', 'label' => __('Furniture')],
            ['value' => '331', 'label' => __('Living Room')],
            ['value' => '332', 'label' => __('Dining Room')],
            ['value' => '333', 'label' => __('Bedroom')],
            ['value' => '334', 'label' => __('Sofa')],
            ['value' => '335', 'label' => __('Group furniture')],
            ['value' => '336', 'label' => __('Armchair')],
            ['value' => '337', 'label' => __('Library/Cabinet')],
            ['value' => '338', 'label' => __('Bedding')],
            ['value' => '339', 'label' => __('Bedroom')],
            ['value' => '340', 'label' => __('Furniture Textile')],
            ['value' => '341', 'label' => __('Office furniture')],
            ['value' => '342', 'label' => __('Bathroom furniture')],
            ['value' => '343', 'label' => __('Kitchen furniture')],
            ['value' => '610', 'label' => __('TV-Hifi, Digital')],
            ['value' => '611', 'label' => __('Video recorder - video')],
            ['value' => '613', 'label' => __('Hifi')],
            ['value' => '615', 'label' => __('Colour tv')],
            ['value' => '616', 'label' => __('Information technology')],
            ['value' => '619', 'label' => __('Group purchase TV - hifi')],
            ['value' => '620', 'label' => __('Photo - Cinema - Optics')],
            ['value' => '621', 'label' => __('Telephony')],
            ['value' => '622', 'label' => __('Home Cinema')],
            ['value' => '623', 'label' => __('LCD/Plasma Display')],
            ['value' => '624', 'label' => __('Camcorder')],
            ['value' => '625', 'label' => __('Computer')],
            ['value' => '626', 'label' => __('Printer/Scanner')],
            ['value' => '631', 'label' => __('Holiday Trips')],
            ['value' => '640', 'label' => __('Clothing')],
            ['value' => '650', 'label' => __('Books')],
            ['value' => '660', 'label' => __('Leisure Activities')],
            ['value' => '663', 'label' => __('DIY - Gardening')],
            ['value' => '730', 'label' => __('Jewellery Store')],
            ['value' => '733', 'label' => __('Radiator')],
            ['value' => '855', 'label' => __('Piano')],
            ['value' => '857', 'label' => __('Organ')],
            ['value' => '858', 'label' => __('Various Music')],
        ];
    }
}
